/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright (c) 2016, Fuzhou Rockchip Electronics Co., Ltd
 * Author: Lin Huang <hl@rock-chips.com>
 */
#ifndef __SOC_ROCKCHIP_SIP_H
#define __SOC_ROCKCHIP_SIP_H

#define ROCKCHIP_SIP_ATF_VERSION		0x82000001
#define ROCKCHIP_SIP_DRAM_FREQ			0x82000008
#define ROCKCHIP_SIP_CONFIG_DRAM_INIT		0x00
#define ROCKCHIP_SIP_CONFIG_DRAM_SET_RATE	0x01
#define ROCKCHIP_SIP_CONFIG_DRAM_ROUND_RATE	0x02
#define ROCKCHIP_SIP_CONFIG_DRAM_SET_AT_SR	0x03
#define ROCKCHIP_SIP_CONFIG_DRAM_GET_BW		0x04
#define ROCKCHIP_SIP_CONFIG_DRAM_GET_RATE	0x05
#define ROCKCHIP_SIP_CONFIG_DRAM_CLR_IRQ	0x06
#define ROCKCHIP_SIP_CONFIG_DRAM_SET_PARAM	0x07
#define ROCKCHIP_SIP_CONFIG_DRAM_SET_ODT_PD	0x08
#define ROCKCHIP_SIP_CONFIG_DRAM_GET_VERSION	0x08
#define ROCKCHIP_SIP_CONFIG_DRAM_POST_SET_RATE  0x09
#define ROCKCHIP_SIP_CONFIG_DRAM_SET_MSCH_RL    0x0a
#define ROCKCHIP_SIP_CONFIG_DRAM_DEBUG          0x0b

#define ROCKCHIP_SIP_SHARE_MEM			0x82000009
#define ROCKCHIP_SIP_SIP_VERSION		0x8200000a

/* Rockchip Sip version */
#define ROCKCHIP_SIP_IMPLEMENT_V1                (1)
#define ROCKCHIP_SIP_IMPLEMENT_V2                (2)

/* SIP_ACCESS_REG: read or write */
#define SECURE_REG_RD			0x0
#define SECURE_REG_WR			0x1

/* Share mem page types */
typedef enum {
    SHARE_PAGE_TYPE_INVALID = 0,
    SHARE_PAGE_TYPE_UARTDBG,
    SHARE_PAGE_TYPE_DDR,
    SHARE_PAGE_TYPE_MAX,
} share_page_type_t;

#endif
